View Issue Details

IDProjectCategoryView StatusLast Update
0006287Multi Theft Auto : San AndreasGeneralpublic2018-09-05 22:17
Reporterlil_ToadyAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionsuspended 
Product Version 
Target VersionFixed in Version 
Summary0006287: Sync distance of unoccupied vehicles and peds should match stream distance
Description

You can have unoccupied vehicles and peds streamed in when nobody really syncs them, that can cause troubles if you interact with them (shoot?).
I suggest we raise sync distance to match stream distance and make the streamer load elements the player syncs even if they are out of local stream distance. So anything a player can see is always synced.

TagsNo tags attached.

Users sponsoring this issue
Sponsors List Total Sponsorship = EUR 10

2013-03-10 20:58: SHC//Sniper (EUR 10)
Users sponsoring this issue (Total Sponsorship = EUR 10)

Relationships

duplicate of 0005375 closed Multi Theft Auto : San Andreas [Request] Increase syncer range to match the client's draw distance 
has duplicate 0005152 closed New issues Far away vehicles invulnerable 
related to 0007467 closed New issues Ped Sync 
child of 0005840 closed Multi Theft Auto : San Andreas ped position not synced to server after falling through the ground 

Activities

ccw

2013-04-14 03:34

administrator   ~~0018342

<&lil_Toady> a cool solution would be for streamer not to stream in peds/vehicles if they aint being synced by anyone

ccw

2013-04-30 21:51

administrator   ~~0018442

Can't fix this without script to reproduce the problem

Drakath

2015-12-23 20:42

viewer   ~~0024256

Last edited: 2018-09-02 20:55

View 2 revisions

@ccw

function distancedSync()
    for i, player in ipairs(getElementsByType(&quot;player&quot;)) do
        setElementPosition(player, 2243, 1532, 11.5)
        setElementRotation(player, 0, 0, 90)
        giveWeapon(player, 38, 9999, true)
end
    local ped = createPed (0, 2114, 1532, 11.5, 0)
    setTimer ( function (ped) 
        setElementRotation(ped, 0, 0, -90)
        setPedAnimation (ped, &quot;ped&quot;, &quot;run_old&quot;, -1, true, true, true)
    end, 1000, 1, ped)
end
addEventHandler(&quot;onResourceStart&quot;, root, distancedSync)
--This ped will be invincible

qaisjp

2018-09-05 22:17

administrator   ~~0026951

Moved to https://bugs.mtasa.com/view.php?id=6287

Issue History

Date Modified Username Field Change